<div class="m1-wrapper background-dark">
  <div class="m1-title">모니터링 > 에너지수지</div>
  <div class="m1-upper-panel">
    <div class="col-lg-2 chart-circle">
      <div class="chart-circle-inner">
        <div
          round-progress
          max="100"
          current=vm.selected.selfsuff
          color="#45ccce"
          bgcolor="#4C5358"
          radius="80"
          stroke="10"
          semi="false"
          rounded="true"
          clockwise="true"
          responsive="false"
          duration="800"
          rounded="true"
          animation="easeInOutQuart"
          animation-delay="0"></div>
      </div>
      <div class="chart-circle-label">
        {{ vm.selected.selfsuff }}%
      </div>
    </div>

    <div class="col-lg-8 chart-line">
      <div id="chart-line">
      </div>
    </div>

    <div class="col-lg-2 chart-legend">
      <div class="row inner">
        <div class="col-lg-6 text-title">수요예측</div>
        <div class="col-lg-6 text-value">{{ vm.selected.f_demandelec5forecast_kw | number }}kW</div>
        <div class="col-lg-6 text-title">5대부하</div>
        <div class="col-lg-6 text-value">{{ vm.selected.f_demandelec5_kw | number }}kW</div>
        <div class="col-lg-6 text-title">한국전력</div>
        <div class="col-lg-6 text-value">{{ vm.selected.f_fromeleckepco_kw | number }}kW</div>
        <div class="col-lg-6 text-title">태양광</div>
        <div class="col-lg-6 text-value">{{ vm.selected.f_prodelec_kw | number }}kW</div>
        <div class="col-lg-6 text-title text-white">절감비용</div>
        <div class="col-lg-6 text-value text-white">{{ vm.selected.f_savingcost_krw | number }}천원</div>
      </div>
    </div>
  </div>

  <div class="m1-main-panel">
    <div class="col-lg-1 panel-arrow">
      <i class="material-icons">keyboard_arrow_left</i>
    </div>
    <div class="col-lg-10 panel-main">
      <div ng-repeat="building in vm.buildings">
        <div class="col-lg-4 inner-panel-wrapper">
          <div class="inner-panel">
            <div ng-if="building.deactive" class="deactived"></div>
            <div class="panel-title">
              <div class="title">{{ building.name }}</div>
              <div class="heading">제로에너지주택 실증단지(서울시 노원구 하계동)</div>
              <i class="material-icons ring_button">settings</i>
            </div>
            <div class="panel-body">
              <div class="col-lg-8 building-gauge-panel">
                <div class="building-mask"></div>
                <div class="building-background"></div>
                <div class="building-backpanel"></div>
                <div class="mainloads">
                  <div class="gauge-data">
                    <div class="gauge-title">5대부하</div>
                    <div class="gauge-value">{{ building.f_demandelec5_kw | number }}</div>
                    <div class="gauge-unit">kW</div>
                  </div>
                </div>
                <div class="solar">
                  <div class="gauge-data">
                    <div class="gauge-title">태양광</div>
                    <div class="gauge-value">{{ building.f_prodelec_kw | number }}</div>
                    <div class="gauge-unit">kW</div>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 panel-right">
                <div class="panel-independence">
                  <div class="independence-title">에너지 자립율</div>
                  <div class="independence-value">{{ building.selfsuff }}</div>
                  <div class="independence-unit">%</div>
                </div>
                <div class="panel-legend">
                  <div class="row inner">
                    <div class="col-lg-6 text-title">수요예측</div>
                    <div class="col-lg-6 text-value">{{ building.f_demandelec5forecast_kw | number }}kW</div>
                    <div class="col-lg-6 text-title">5대부하</div>
                    <div class="col-lg-6 text-value">{{ building.f_demandelec5_kw | number }}kW</div>
                    <div class="col-lg-6 text-title">한국전력</div>
                    <div class="col-lg-6 text-value">{{ building.f_fromeleckepco_kw | number }}kW</div>
                    <div class="col-lg-6 text-title">태양광</div>
                    <div class="col-lg-6 text-value">{{ building.f_prodelec_kw | number }}kW</div>
                    <div class="col-lg-6 text-title text-white">절감비용</div>
                    <div class="col-lg-6 text-value text-white">{{ building.f_savingcost_krw | number }}천원</div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-1 panel-arrow">
      <i class="material-icons">keyboard_arrow_right</i></div>
  </div>

</div>
